org.apache.ignite.internal.processors.rest.request

## Class GridRestChangeStateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestChangeStateRequest

    public class GridRestChangeStateRequest
    extends GridRestRequest

### Constructor Summary

Constructors
Constructor and Description
`GridRestChangeStateRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `active()`
`void` `active(boolean active)`
`boolean` `isReqCurrentState()`
`void` `reqCurrentState()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestChangeStateRequest

    public GridRestChangeStateRequest()

### Method Detail

#### active

    public boolean active()

#### active

    public void active(boolean active)

#### isReqCurrentState

    public boolean isReqCurrentState()

#### reqCurrentState

    public void reqCurrentState()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020